# $Id: perl-CPANPLUS.spec 3067 2005-03-31 19:10:18Z dries $
# Authority: dries
# Upstream: Jos Boumans <gro,miwd$enak>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name CPANPLUS

Summary: Command-line access to the CPAN interface
Name: perl-CPANPLUS
Version: 0.053
Release: 2.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/CPANPLUS/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/K/KA/KANE/CPANPLUS-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl >= 5.8.1

%description
The "CPANPLUS" library is an API to the "CPAN" mirrors and a collection
of interactive shells, commandline programs, daemons, etc, that use
this API.

%prep
%setup -n %{real_name}-%{version}

%build
#%{__perl} -pi -e 's|^ *\@ARGV = grep \{.*||g;' Makefile.PL
%{__perl} -pi -e 's|use Your::Module::Here|your use statements here|g;' lib/CPANPLUS/Internals/Constants/Report.pm
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}" AUTOINSTALL=1 SETUP=0 JFDI=1
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} \
  %{buildroot}%{perl_vendorarch} \
  %{buildroot}%{_mandir}/man3/CPANPLUS*Win32* \
  %{buildroot}%{perl_vendorlib}/CPANPLUS/inc/*/*/*Win32* \
  %{buildroot}%{perl_vendorlib}/CPANPLUS/inc/ \
  %{buildroot}%{_mandir}/man?/CPANPLUS::inc*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README ChangeLog
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
%{_bindir}/cpan2dist
%{_bindir}/cpanp
%{perl_vendorlib}/CPANPLUS.pm
%{perl_vendorlib}/CPANPLUS/

%changelog
* Thu Mar 31 2005 Dries Verachtert <dries@ulyssis.org> - 0.053-2 - 3067+/dries
- Don't install all the included modules.

* Fri Mar  4 2005 Dries Verachtert <dries@ulyssis.org> - 0.053-1
- Updated to release 0.053.

* Mon Jan 17 2005 Dries Verachtert <dries@ulyssis.org> - 0.051-1
- Initial package.
